
import 'dart:async';

import 'package:flutter/services.dart';

class VieauraCameraPlugin {
  static const MethodChannel _channel = MethodChannel('vieaura_camera_plugin');

  static Future<dynamic> takePhotosOnAndroidPhone() async {
    dynamic result = await _channel.invokeMethod('takePhotosOnAndroidPhone');
    return result;
  }

  static Future<dynamic> takePhotosOnRealwear() async {
    dynamic result = await _channel.invokeMethod('takePhotosOnRealwear');
    return result;
  }

  static Future<dynamic> takeSinglePhotoOnAndroidPhone() async {
    dynamic result = await _channel.invokeMethod('takeSinglePhotoOnAndroidPhone');
    return result;
  }

  static Future<dynamic> takeSinglePhotoOnRealwear() async {
    dynamic result = await _channel.invokeMethod('takeSinglePhotoOnRealwear');
    return result;
  }

  static Future<dynamic> recordVideo() async {
    dynamic result = await _channel.invokeMethod('recordVideo');
    return result;
  }
}
